Update a credit note
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
credit_note_id
Headers
x-monite-version
x-monite-entity-id
The ID of the entity that owns the requested resource.
Request
This endpoint expects an object.
based_on
ID of the payable this credit note is based on. The credit note will be linked to this payable
based_on_document_id
The document ID of the original payable
counterpart_address_id
ID of the counterpart's address
counterpart_bank_account_id
ID of the counterpart's bank account
counterpart_id
ID of the counterpart
counterpart_vat_id_id
ID of the counterpart's VAT registration
currency
The currency code of the credit note
description
An arbitrary description of this credit note
document_id
A unique credit note number assigned by the credit note issuer for tracking purposes
issued_at
The date when the credit note was issued, in the YYYY-MM-DD format
project_id
The ID of the project this credit note belongs to
sender
Email address of the sender
subtotal
The subtotal amount before taxes
tag_ids
List of tag IDs associated with this credit note
tax
The tax percentage applied to the subtotal
tax_amount
The calculated tax amount
total_amount
The total amount including taxes
Response
Successful Response
id
The unique identifier of the credit note
created_at
Date and time when the credit note was created in the system
updated_at
Date and time of the last update to the credit note
entity_id
The ID of the entity to which the credit note belongs
origin
The origin or source system of the credit note
source_of_data
How the data was input (ocr/user_specified)
status
The current status of the credit note in its lifecycle
based_on
ID of the payable this credit note is based on
based_on_document_id
The document ID of the original payable that this credit note refers to
counterpart
Object representing de-normalized counterpart data
counterpart_address_id
ID of the counterpart's address
counterpart_bank_account_id
ID of the counterpart's bank account
counterpart_id
ID of the counterpart
counterpart_raw
Object representing counterpart data which was extracted by OCR. Used for informational purposes.
counterpart_vat_id_id
ID of the counterpart's VAT registration
created_by_external_user_id
External system's user ID for the creator
created_by_external_user_name
Name of the external user who created the credit note
created_by_user_id
ID of the user who created the credit note
currency
The currency code
currency_exchange
description
Description of the credit note
document_id
The credit note's unique document number
file_id
The id of the credit note file stored in the file saver.
file_url
The URL of the credit note file stored in the file saver.
issued_at
Date when the credit note was issued
ocr_request_id
ID of the OCR processing request
ocr_status
Status of OCR processing
project_id
ID of the associated project
sender
Email address of the sender
subtotal
The subtotal amount before taxes
tax
The tax percentage
tax_amount
The calculated tax amount
total_amount
The total amount including taxes
Errors
401
Patch Payable Credit Notes ID Request Unauthorized Error
403
Patch Payable Credit Notes ID Request Forbidden Error
404
Patch Payable Credit Notes ID Request Not Found Error
422
Patch Payable Credit Notes ID Request Unprocessable Entity Error
500
Patch Payable Credit Notes ID Request Internal Server Error